Loading...
Searching...
No Matches
AVSubtitleRect Struct Reference
libavcodec » Core functions/structures.

`#include <libavcodec/avcodec.h>`

## Data Fields

int | x
| top left corner of pict, undefined when pict is not set
int | y
| top left corner of pict, undefined when pict is not set
int | w
| width of pict, undefined when pict is not set
int | h
| height of pict, undefined when pict is not set
int | nb_colors
| number of colors in pict, undefined when pict is not set
uint8_t * | data [4]
| data+linesize for the bitmap of this subtitle.
int | linesize [4]
int | flags
enum AVSubtitleType | type
char * | text
| 0 terminated plain UTF-8 text
char * | ass
| 0 terminated ASS/SSA compatible event line.

## Detailed Description

Definition at line 2211 of file avcodec.h.

## Field Documentation

## x

int AVSubtitleRect::x

top left corner of pict, undefined when pict is not set

Definition at line 2212 of file avcodec.h.

## y

int AVSubtitleRect::y

top left corner of pict, undefined when pict is not set

Definition at line 2213 of file avcodec.h.

## w

int AVSubtitleRect::w

width of pict, undefined when pict is not set

Definition at line 2214 of file avcodec.h.

## h

int AVSubtitleRect::h

height of pict, undefined when pict is not set

Definition at line 2215 of file avcodec.h.

## nb_colors

int AVSubtitleRect::nb_colors

number of colors in pict, undefined when pict is not set

Definition at line 2216 of file avcodec.h.

## data

uint8_t* AVSubtitleRect::data[4]

data+linesize for the bitmap of this subtitle.

Can be set for text/ass as well once they are rendered.

Definition at line 2222 of file avcodec.h.

## linesize

int AVSubtitleRect::linesize[4]

Definition at line 2223 of file avcodec.h.

## flags

int AVSubtitleRect::flags

Definition at line 2225 of file avcodec.h.

## type

enum AVSubtitleType AVSubtitleRect::type

Definition at line 2226 of file avcodec.h.

## text

char* AVSubtitleRect::text

0 terminated plain UTF-8 text

Definition at line 2228 of file avcodec.h.

## ass

char* AVSubtitleRect::ass

0 terminated ASS/SSA compatible event line.

The presentation of this is unaffected by the other values in this struct.

Definition at line 2235 of file avcodec.h.

The documentation for this struct was generated from the following file:

- libavcodec/avcodec.h